/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.
   */


/*!
 * @file functors_list.h
 * all the Different types of Functions one can include
*/


  //! makes functions with one string loadable
  FUNCTOR_LIST(1)(l_STRING);
  //! makes functions with two strings loadable
  FUNCTOR_LIST(2)(l_STRING, l_STRING);
  //! makes functions with three strings loadable
  FUNCTOR_LIST(3)(l_STRING, l_STRING, l_STRING);
  //! makes functions with four strings loadable
  FUNCTOR_LIST(4)(l_STRING, l_STRING, l_STRING, l_STRING);

  //! makes functions with one bool loadeable
  FUNCTOR_LIST(1)(l_BOOL);

  //! makes functions with one int loadable
  FUNCTOR_LIST(1)(l_INT);
  //! makes functions with two ints loadable
  FUNCTOR_LIST(2)(l_INT, l_INT);
  //! makes functions with three ints loadable
  FUNCTOR_LIST(3)(l_INT, l_INT, l_INT);
  //! makes functions with four ints loadable
  FUNCTOR_LIST(4)(l_INT, l_INT, l_INT, l_INT);


  //! makes functions with one unsigned int loadable
  FUNCTOR_LIST(1)(l_UINT);
  //! makes functions with two unsigned ints loadable
  FUNCTOR_LIST(2)(l_UINT, l_UINT);
  //! makes functions with three unsigned ints loadable
  FUNCTOR_LIST(3)(l_UINT, l_UINT, l_UINT);
  //! makes functions with four unsigned ints loadable
  FUNCTOR_LIST(4)(l_UINT, l_UINT, l_UINT, l_UINT);

  //! makes functions with one float loadable
  FUNCTOR_LIST(1)(l_FLOAT);
  //! makes functions with two floats loadable
  FUNCTOR_LIST(2)(l_FLOAT, l_FLOAT);
  //! makes functions with three floats loadable
  FUNCTOR_LIST(3)(l_FLOAT, l_FLOAT, l_FLOAT);
  //! makes functions with four floats loadable
  FUNCTOR_LIST(4)(l_FLOAT, l_FLOAT, l_FLOAT, l_FLOAT);
  //! makes functions with four floats loadable
  FUNCTOR_LIST(5)(l_FLOAT, l_FLOAT, l_FLOAT, l_FLOAT, l_FLOAT);

  //! mixed values:
  FUNCTOR_LIST(2)(l_STRING, l_FLOAT);


